## com.saxonica.codegen
Class CompilerClassMapper

    java.lang.Object
      com.saxonica.codegen.CompilerClassMapper

    public class CompilerClassMapper

extends Object

For each class of expression found on the expression tree, deliver a corresponding instance of the helper class used to generate Java code for the expression

Field Summary
`static HashMap` `map`

Constructor Summary
`CompilerClassMapper()`

Method Summary
`static ExpressionCompiler` `map(Expression exp)`
`static ValueCompiler` `map(Value val)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    public static HashMap map

Constructor Detail

### CompilerClassMapper

    public CompilerClassMapper()

Method Detail

### map

    public static ExpressionCompiler map(Expression exp)

### map

    public static ValueCompiler map(Value val)

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.